package com.yaohun.enderdragonWars.data;

import com.yaohun.enderdragonWars.util.GameUtil;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;

public class GiftData {
    private String giftName; // 礼物名
    private String event; // 效果名
    private int minutes; // 加播或减播
    private String sounds; // 自定义音效

    public GiftData(String giftName, FileConfiguration yml) {
        this.giftName = giftName;
        String str = "礼物设置." + giftName + ".";
        if (yml.getString(str + "声音") != null) {
            this.sounds = yml.getString(str + "声音");
        }
        this.event = yml.getString(str + "效果");
        this.minutes = yml.getInt(str + "加播");
        if (this.minutes >= 1) {
            Bukkit.getConsoleSender().sendMessage("事件: " + this.event + "  条件: " + giftName + "  加播: +" + minutes + "分钟");
        } else {
            Bukkit.getConsoleSender().sendMessage("事件: " + this.event + "  条件: " + giftName + "  减播: -" + minutes + "分钟");
        }
    }

    public String getGiftName() {
        return giftName;
    }

    public String getEvent() {
        return event;
    }

    public void OutPlaySoundsEvent() {
        if(!sounds.equalsIgnoreCase("NULL")) {
            GameUtil.SendAllSounds(sounds);
        }
    }
}
