package com.yaohun.enderdragonwars.util;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

public class GameUtil {

    public static String hideName(String audience) {
        if (audience.length() <= 2) {
            return "**";
        }
        char firstChar = audience.charAt(0);
        char lastChar = audience.charAt(audience.length() - 1);
        StringBuilder maskedString = new StringBuilder();
        for (int i = 1; i < audience.length() - 1; i++) {
            maskedString.append('*');
        }
        return String.valueOf(firstChar) + maskedString + lastChar;
    }

    public static void sendAllSound(String sound) {
        for (Player player : Bukkit.getOnlinePlayers()) {
            if (!sound.contains("_")) {
                player.playSound(player.getLocation(), sound, 0.5F, 1);
            }
        }
    }
}
