package com.yaohun.enderdragonwars.util;

import com.yaohun.enderdragonwars.Main;
import com.yaohun.enderdragonwars.data.GiftData;
import com.yaohun.enderdragonwars.liveevent.GiftEventHandler;
import com.yaohun.enderdragonwars.manager.GameManager;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

public class GiftUtil {

    // 执行礼物效果
    public static void executeGiftEffect(Player zhubo, String userName, String giftName, int giftAmount) {
        GameManager gameManage = Main.gameManager;
        if (gameManage.getGiftData(giftName) == null) {
            zhubo.sendMessage("§c[系统]§a礼物 " + giftName + " 的未设置任何礼物效果.");
            return;
        }
        GiftData giftData = gameManage.getGiftData(giftName);
        String hideName = GameUtil.hideName(userName);
        String eventName = giftData.getEvent();
        if (giftAmount <= 1) {
            giftData.playSoundEvent();
            GiftEventHandler.handlerEffect(zhubo, userName, eventName);
        } else {
            long dadey = 5L;
            for (int i = 0; i < giftAmount; i++) {
                Bukkit.getScheduler().runTaskLater(Main.plugin, () -> {
                    giftData.playSoundEvent();
                    GiftEventHandler.handlerEffect(zhubo, userName, eventName);
                }, (long) i * dadey);
            }
        }
    }
}
