package com.yaohun.enderdragonwars.util;

import java.util.Random;

public class RandomUtil {

    public static boolean random(double d) {
        return d >= new Random().nextFloat();
    }

    public static double triangle(double d1, double d2) {
        Random r = new Random();
        return d1 + d2 * (r.nextDouble() - r.nextDouble());
    }

    public static int getRandomInt(int min, int max) {
        if (min == max) {
            return max;
        }
        Random r = new Random();
        int i = min < max ? min : max;
        int a = min < max ? max : min;
        return r.nextInt(a - i + 1) + i;
    }

    public static double getRandomDouble(double min, double max, int scl) {
        int pow = (int) Math.pow(10, scl);
        return Math.floor((Math.random() * (max - min) + min) * pow) / pow;
    }

}
