package com.yaohun.enderdragonWars;

import com.yaohun.enderdragonWars.game.Game;
import com.yaohun.enderdragonWars.manage.GameManage;
import com.yaohun.enderdragonWars.manage.GiftEffectManager;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static GameManage gameManage;
    public static Game game;

    @Override
    public void onEnable() {
        plugin = this;
        GiftEffectManager.registerAll();
        gameManage = new GameManage();
        game = new Game();
    }


    @Override
    public void onDisable() {
        GiftEffectManager.stopQueue();
    }
}
