package com.yaohun.enderdragonWars.util;


import org.bukkit.*;
import org.bukkit.block.Block;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Pig;
import org.bukkit.entity.Player;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

public class GameUtil {

    public static String HideName(String audience){
        if(audience.length() <= 2){
            return "**";
        }
        // 获取第一个和第二个字符
        char firstChar = audience.charAt(0);
        char lastChar = audience.charAt(audience.length() - 1);
        // 构建屏蔽后的字符串
        StringBuilder maskedString = new StringBuilder();
        for (int i = 1; i < audience.length() - 1; i++) {
            maskedString.append('*');
        }
        return String.valueOf(firstChar) + maskedString + lastChar;
    }

    public static void SendAllSounds(String sound){
        for (Player player : Bukkit.getOnlinePlayers()) {
            if (!sound.contains("_")) {
                player.playSound(player.getLocation(), sound, 0.5F, 1);
            }
        }
    }
}
