package com.yaohun.enderdragonWars.util;

import com.yaohun.enderdragonWars.Main;
import com.yaohun.enderdragonWars.data.GiftData;
import com.yaohun.enderdragonWars.liveevent.GiftEventHandler;
import com.yaohun.enderdragonWars.manage.GameManage;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

public class GiftUtil {

    // 执行礼物效果
    public static void executeGiftEffect(Player zhubo,String userName,String giftName,int giftAmount){
        GameManage gameManage = Main.gameManage;
        if(gameManage.getGiftData(giftName) == null){
            zhubo.sendMessage("§c[系统]§a礼物 "+giftName+" 的未设置任何礼物效果.");
            return;
        }
        // 获取礼物数据
        GiftData giftData = gameManage.getGiftData(giftName);
        // 获取隐藏名字后的观众名
        String hide_name = GameUtil.HideName(userName);
        // 获取效果名
        String eventName = giftData.getEvent();
        if(giftAmount <= 1){
            giftData.OutPlaySoundsEvent();
            GiftEventHandler.SendHandLer(zhubo, userName, eventName);
        }else{
            long dadey = 5L;
            for (int i = 0; i < giftAmount; i++) {
                Bukkit.getScheduler().runTaskLater(Main.plugin, () -> {
                    giftData.OutPlaySoundsEvent();
                    GiftEventHandler.SendHandLer(zhubo, userName, eventName);
                }, (long) i * dadey);
            }
        }
    }
}
